/****************
文件名：25.Infrared_keys.ino
  描述：通过红外避障模块控制LED 灯亮灭。
  作者：陈志强
  日期：2022.11.3
***********************************************************/

void setup(){
  pinMode(4, INPUT);//设置D4为输入模式
  pinMode(9, OUTPUT);//设置D9为输出模式
}

void loop(){
  //红外避障模块s引脚接uno开发板D4引脚，A引脚空置；led灯接D9引脚；
  if (digitalRead(4) == 0) {//检测到障碍物，输出低电平
    digitalWrite(9,HIGH);//亮灯

  } else if (digitalRead(4) == 1) {//未检测到障碍物，输出高电平
    digitalWrite(9,LOW);//熄灭
  }

}
